Loading...
Searching...
No Matches
gtsam::TriangulationParameters Struct Reference

## Public Member Functions

| TriangulationParameters (const double _rankTolerance=1.0, const bool _enableEPI=false, double _landmarkDistanceThreshold=-1, double _dynamicOutlierRejectionThreshold=-1, const SharedNoiseModel &_noiseModel=nullptr)
| Constructor.

## Public Attributes

double | rankTolerance
| threshold to decide whether triangulation is result.degenerate
bool | enableEPI
| if set to true, will refine triangulation using LM
double | landmarkDistanceThreshold
| if the landmark is triangulated at distance larger than this, result is flagged as degenerate.
double | dynamicOutlierRejectionThreshold
| If this is nonnegative the we will check if the average reprojection error is smaller than this threshold after triangulation, otherwise result is flagged as degenerate.
SharedNoiseModel | noiseModel
| used in the nonlinear triangulation

## Friends

class | boost::serialization::access
| Serialization function.
std::ostream & | operator<< (std::ostream &os, const TriangulationParameters &p)

## Constructor & Destructor Documentation

## TriangulationParameters()

gtsam::TriangulationParameters::TriangulationParameters | ( | const double | _rankTolerance = 1.0,
|  | const bool | _enableEPI = false,
|  | double | _landmarkDistanceThreshold = -1,
|  | double | _dynamicOutlierRejectionThreshold = -1,
|  | const SharedNoiseModel & | _noiseModel = nullptr )

inline

Constructor.

Parameters

  rankTol | tolerance used to check if point triangulation is degenerate
  enableEPI | if true refine triangulation with embedded LM iterations
  landmarkDistanceThreshold | flag as degenerate if point further than this
  dynamicOutlierRejectionThreshold | or if average error larger than this
  noiseModel | noise model to use during nonlinear triangulation

## Member Data Documentation

## rankTolerance

double gtsam::TriangulationParameters::rankTolerance

threshold to decide whether triangulation is result.degenerate

(the rank is the number of singular values of the triangulation matrix which are larger than rankTolerance)

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/geometry/triangulation.h